"""
Řešení cvičení 9.2: Doplňování souborů
(doctesty zde nelze napsat, protože funkce paste_with_input využívá vstup od uživatele (input))
"""


from pathlib import Path


def paste_with_input(infile: Path, outfile: Path) -> None:
    with open(infile, encoding='utf8') as r:
        with open(outfile, 'w', encoding='utf8') as w:
            for line in r:
                line = line.rstrip('\n')
                addition = input(line)
                w.write(line + addition + '\n')


if __name__ == '__main__':
    paste_with_input(Path('data/prihlaska.txt'), Path('data/prihlaska-filled.txt'))
